Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBAC.h File Reference

`#include "ace/pre.h"`
`#include "tao/orbconf.h"`
`#include "rtcorba_export.h"`
`#include "tao/IOPC.h"`
`#include "tao/TimeBaseC.h"`
`#include "tao/PolicyC.h"`
`#include "ace/post.h"`

Include dependency graph for RTCORBAC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | RTCORBA
## Compounds
interface | RTCORBA::ClientProtocolPolicy
interface | RTCORBA::Current
interface | RTCORBA::GIOPProtocolProperties
interface | RTCORBA::Mutex
struct | RTCORBA::PriorityBand
interface | RTCORBA::PriorityBandedConnectionPolicy
interface | RTCORBA::PriorityModelPolicy
interface | RTCORBA::PrivateConnectionPolicy
struct | RTCORBA::Protocol
interface | RTCORBA::ProtocolProperties
interface | RTCORBA::RTORB
exception | RTCORBA::RTORB::InvalidThreadpool
exception | RTCORBA::RTORB::MutexNotFound
interface | RTCORBA::ServerProtocolPolicy
interface | RTCORBA::SharedMemoryProtocolProperties
interface | RTCORBA::TCPProtocolProperties
struct | RTCORBA::ThreadpoolLane
interface | RTCORBA::ThreadpoolPolicy
interface | RTCORBA::UnixDomainProtocolProperties
## Defines
#define | TAO_EXPORT_MACRO TAO_RTCORBA_Export
#define | __TAO_UNBOUNDED_SEQUENCE_RTCORBA_THREADPOOLLANES_CH_
#define | _RTCORBA_THREADPOOLLANES_CH_
#define | _RTCORBA_THREADPOOLLANES___VAR_CH_
#define | _RTCORBA_THREADPOOLLANES___OUT_CH_
#define | _RTCORBA_PRIORITYMODELPOLICY___PTR_CH_
#define | _RTCORBA_PRIORITYMODELPOLICY___VAR_CH_
#define | _RTCORBA_PRIORITYMODELPOLICY___OUT_CH_
#define | _RTCORBA_PRIORITYMODELPOLICY_CH_
#define | _RTCORBA_THREADPOOLPOLICY___PTR_CH_
#define | _RTCORBA_THREADPOOLPOLICY___VAR_CH_
#define | _RTCORBA_THREADPOOLPOLICY___OUT_CH_
#define | _RTCORBA_THREADPOOLPOLICY_CH_
#define | _RTCORBA_PROTOCOLPROPERTIES___PTR_CH_
#define | _RTCORBA_PROTOCOLPROPERTIES___VAR_CH_
#define | _RTCORBA_PROTOCOLPROPERTIES___OUT_CH_
#define | _RTCORBA_PROTOCOLPROPERTIES_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PROTOCOLLIST_CH_
#define | _RTCORBA_PROTOCOLLIST_CH_
#define | _RTCORBA_PROTOCOLLIST___VAR_CH_
#define | _RTCORBA_PROTOCOLLIST___OUT_CH_
#define | _RTCORBA_SERVERPROTOCOLPOLICY___PTR_CH_
#define | _RTCORBA_SERVERPROTOCOLPOLICY___VAR_CH_
#define | _RTCORBA_SERVERPROTOCOLPOLICY___OUT_CH_
#define | _RTCORBA_SERVERPROTOCOLPOLICY_CH_
#define | _RTCORBA_CLIENTPROTOCOLPOLICY___PTR_CH_
#define | _RTCORBA_CLIENTPROTOCOLPOLICY___VAR_CH_
#define | _RTCORBA_CLIENTPROTOCOLPOLICY___OUT_CH_
#define | _RTCORBA_CLIENTPROTOCOLPOLICY_CH_
#define | _RTCORBA_PRIVATECONNECTIONPOLICY___PTR_CH_
#define | _RTCORBA_PRIVATECONNECTIONPOLICY___VAR_CH_
#define | _RTCORBA_PRIVATECONNECTIONPOLICY___OUT_CH_
#define | _RTCORBA_PRIVATECONNECTIONPOLICY_CH_
#define | _RTCORBA_TCPPROTOCOLPROPERTIES___PTR_CH_
#define | _RTCORBA_TCPPROTOCOLPROPERTIES___VAR_CH_
#define | _RTCORBA_TCPPROTOCOLPROPERTIES___OUT_CH_
#define | _RTCORBA_TCPPROTOCOLPROPERTIES_CH_
#define | _RTCORBA_GIOPPROTOCOLPROPERTIES___PTR_CH_
#define | _RTCORBA_GIOPPROTOCOLPROPERTIES___VAR_CH_
#define | _RTCORBA_GIOPPROTOCOLPROPERTIES___OUT_CH_
#define | _RTCORBA_GIOPPROTOCOLPROPERTIES_CH_
#define | _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES___PTR_CH_
#define | _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES___VAR_CH_
#define | _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES___OUT_CH_
#define | _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES_CH_
#define | _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES___PTR_CH_
#define | _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES___VAR_CH_
#define | _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES___OUT_CH_
#define | _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PRIORITYBANDS_CH_
#define | _RTCORBA_PRIORITYBANDS_CH_
#define | _RTCORBA_PRIORITYBANDS___VAR_CH_
#define | _RTCORBA_PRIORITYBANDS___OUT_CH_
#define | _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY___PTR_CH_
#define | _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY___VAR_CH_
#define | _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY___OUT_CH_
#define | _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY_CH_
#define | _RTCORBA_CURRENT___PTR_CH_
#define | _RTCORBA_CURRENT___VAR_CH_
#define | _RTCORBA_CURRENT___OUT_CH_
#define | _RTCORBA_CURRENT_CH_
#define | _RTCORBA_MUTEX___PTR_CH_
#define | _RTCORBA_MUTEX___VAR_CH_
#define | _RTCORBA_MUTEX___OUT_CH_
#define | _RTCORBA_MUTEX_CH_
#define | _RTCORBA_RTORB___PTR_CH_
#define | _RTCORBA_RTORB___VAR_CH_
#define | _RTCORBA_RTORB___OUT_CH_
#define | _RTCORBA_RTORB_CH_
#define | _RTCORBA_RTORB_MUTEXNOTFOUND_CH_
#define | _RTCORBA_RTORB_INVALIDTHREADPOOL_CH_
## Functions
TAO_NAMESPACE_CLOSE TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::ThreadpoolLane &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::ThreadpoolLane *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::ThreadpoolLane *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::ThreadpoolLane *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::ThreadpoolLanes &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::ThreadpoolLanes *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::ThreadpoolLanes *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::ThreadpoolLanes *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::PriorityModel)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::PriorityModel &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::PriorityBand &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::PriorityBand *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::PriorityBand *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::PriorityBand *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::PriorityBands &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::PriorityBands *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::PriorityBands *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::PriorityBands *&)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, const RTCORBA::ProtocolList &)
TAO_RTCORBA_Export void | operator<<= (CORBA::Any &, RTCORBA::ProtocolList *)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, RTCORBA::ProtocolList *&)
TAO_RTCORBA_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const RTCORBA::ProtocolList *&)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::ThreadpoolLane &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::ThreadpoolLane &)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::ThreadpoolLanes &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::ThreadpoolLanes &)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::PriorityModel &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::PriorityModel &)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::PriorityBand &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::PriorityBand &)
TAO_RTCORBA_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const RTCORBA::PriorityBands &)
TAO_RTCORBA_Export CORBA::Boolean | operator>> (TAO_InputCDR &, RTCORBA::PriorityBands &)

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PRIORITYBANDS_CH_

#define __TAO_UNBOUNDED_SEQUENCE_RTCORBA_PROTOCOLLIST_CH_

#define __TAO_UNBOUNDED_SEQUENCE_RTCORBA_THREADPOOLLANES_CH_

#define _RTCORBA_CLIENTPROTOCOLPOLICY___OUT_CH_

#define _RTCORBA_CLIENTPROTOCOLPOLICY___PTR_CH_

#define _RTCORBA_CLIENTPROTOCOLPOLICY___VAR_CH_

#define _RTCORBA_CLIENTPROTOCOLPOLICY_CH_

#define _RTCORBA_CURRENT___OUT_CH_

#define _RTCORBA_CURRENT___PTR_CH_

#define _RTCORBA_CURRENT___VAR_CH_

#define _RTCORBA_CURRENT_CH_

#define _RTCORBA_GIOPPROTOCOLPROPERTIES___OUT_CH_

#define _RTCORBA_GIOPPROTOCOLPROPERTIES___PTR_CH_

#define _RTCORBA_GIOPPROTOCOLPROPERTIES___VAR_CH_

#define _RTCORBA_GIOPPROTOCOLPROPERTIES_CH_

#define _RTCORBA_MUTEX___OUT_CH_

#define _RTCORBA_MUTEX___PTR_CH_

#define _RTCORBA_MUTEX___VAR_CH_

#define _RTCORBA_MUTEX_CH_

#define _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY___OUT_CH_

#define _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY___PTR_CH_

#define _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY___VAR_CH_

#define _RTCORBA_PRIORITYBANDEDCONNECTIONPOLICY_CH_

#define _RTCORBA_PRIORITYBANDS___OUT_CH_

#define _RTCORBA_PRIORITYBANDS___VAR_CH_

#define _RTCORBA_PRIORITYBANDS_CH_

#define _RTCORBA_PRIORITYMODELPOLICY___OUT_CH_

#define _RTCORBA_PRIORITYMODELPOLICY___PTR_CH_

#define _RTCORBA_PRIORITYMODELPOLICY___VAR_CH_

#define _RTCORBA_PRIORITYMODELPOLICY_CH_

#define _RTCORBA_PRIVATECONNECTIONPOLICY___OUT_CH_

#define _RTCORBA_PRIVATECONNECTIONPOLICY___PTR_CH_

#define _RTCORBA_PRIVATECONNECTIONPOLICY___VAR_CH_

#define _RTCORBA_PRIVATECONNECTIONPOLICY_CH_

#define _RTCORBA_PROTOCOLLIST___OUT_CH_

#define _RTCORBA_PROTOCOLLIST___VAR_CH_

#define _RTCORBA_PROTOCOLLIST_CH_

#define _RTCORBA_PROTOCOLPROPERTIES___OUT_CH_

#define _RTCORBA_PROTOCOLPROPERTIES___PTR_CH_

#define _RTCORBA_PROTOCOLPROPERTIES___VAR_CH_

#define _RTCORBA_PROTOCOLPROPERTIES_CH_

#define _RTCORBA_RTORB___OUT_CH_

#define _RTCORBA_RTORB___PTR_CH_

#define _RTCORBA_RTORB___VAR_CH_

#define _RTCORBA_RTORB_CH_

#define _RTCORBA_RTORB_INVALIDTHREADPOOL_CH_

#define _RTCORBA_RTORB_MUTEXNOTFOUND_CH_

#define _RTCORBA_SERVERPROTOCOLPOLICY___OUT_CH_

#define _RTCORBA_SERVERPROTOCOLPOLICY___PTR_CH_

#define _RTCORBA_SERVERPROTOCOLPOLICY___VAR_CH_

#define _RTCORBA_SERVERPROTOCOLPOLICY_CH_

#define _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES___OUT_CH_

#define _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES___PTR_CH_

#define _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES___VAR_CH_

#define _RTCORBA_SHAREDMEMORYPROTOCOLPROPERTIES_CH_

#define _RTCORBA_TCPPROTOCOLPROPERTIES___OUT_CH_

#define _RTCORBA_TCPPROTOCOLPROPERTIES___PTR_CH_

#define _RTCORBA_TCPPROTOCOLPROPERTIES___VAR_CH_

#define _RTCORBA_TCPPROTOCOLPROPERTIES_CH_

#define _RTCORBA_THREADPOOLLANES___OUT_CH_

#define _RTCORBA_THREADPOOLLANES___VAR_CH_

#define _RTCORBA_THREADPOOLLANES_CH_

#define _RTCORBA_THREADPOOLPOLICY___OUT_CH_

#define _RTCORBA_THREADPOOLPOLICY___PTR_CH_

#define _RTCORBA_THREADPOOLPOLICY___VAR_CH_

#define _RTCORBA_THREADPOOLPOLICY_CH_

#define _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES___OUT_CH_

#define _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES___PTR_CH_

#define _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES___VAR_CH_

#define _RTCORBA_UNIXDOMAINPROTOCOLPROPERTIES_CH_

#define TAO_EXPORT_MACRO TAO_RTCORBA_Export

## Function Documentation

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::PriorityBands & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const RTCORBA::PriorityBand & | _tao_aggregate
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const RTCORBA::PriorityModel & | _tao_enumval
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::ThreadpoolLanes & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const RTCORBA::ThreadpoolLane & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::ProtocolList * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::ProtocolList & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::PriorityBands * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::PriorityBands & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::PriorityBand * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::PriorityBand & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::PriorityModel |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::ThreadpoolLanes * |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::ThreadpoolLanes & |
| ) |

TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | RTCORBA::ThreadpoolLane * |
| ) |

TAO_NAMESPACE_CLOSE TAO_RTCORBA_Export void operator<<= | ( | CORBA::Any & | ,
|  | const RTCORBA::ThreadpoolLane & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::PriorityBands & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | RTCORBA::PriorityBand & | _tao_aggregate
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | RTCORBA::PriorityModel & | _tao_enumval
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::ThreadpoolLanes & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | RTCORBA::ThreadpoolLane & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::ProtocolList *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::ProtocolList *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::PriorityBands *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::PriorityBands *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::PriorityBand *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::PriorityBand *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::PriorityModel & |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::ThreadpoolLanes *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::ThreadpoolLanes *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const RTCORBA::ThreadpoolLane *& |
| ) |

TAO_RTCORBA_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | RTCORBA::ThreadpoolLane *& |
| ) |